import React from 'react';
import { getRangesFromConfig, toHTML } from "./textRange";
var Highlighter = function Highlighter(_ref) {
  var config = _ref.config,
    text = _ref.text,
    caseSensitive = _ref.caseSensitive,
    highlightTag = _ref.highlightTag,
    normalTag = _ref.normalTag;
  // config -> ranges
  var _getRangesFromConfig = getRangesFromConfig(text, config, {
      caseSensitive: caseSensitive
    }),
    splitIndexes = _getRangesFromConfig.splitIndexes,
    rangeToConfig = _getRangesFromConfig.rangeToConfig;

  // ranges -> html
  var fragments = toHTML(text, splitIndexes, rangeToConfig, {
    highlightTag: highlightTag,
    normalTag: normalTag
  });
  return /*#__PURE__*/React.createElement(React.Fragment, null, fragments);
};
export default Highlighter;